{% extends 'base.html.twig' %}

{% block content %}
        <div class="uk-flex uk-flex-center">
            <div class="uk-card uk-card-default uk-width-1-2@m">
                <div class="uk-card-header">
                    <h3>Paiement #{{ payment.Id }}</h3>
                </div>
                <div class="uk-card-body">
                    <ul>
                        <li>Date de création : {{ payment.CreationDate | localizeddate }}</li>
                        {% if payment.Status == 'SUCCEEDED' %}<li>Date de paiement : {{ payment.ExecutionDate | localizeddate }}</li>{% endif %}
                        {% if payment.Type == 'PAYIN' %}
                        <li>Payment sur le portefeuille {{ payment.CreditedWalletId }} de l'utilisateur {{ payment.CreditedUserId }}</li>
                        {% endif %}
                        <li>Prix : {{ payment.CreditedFunds.Amount / 100  }}€</li>
                        <li>{% if payment.Status == 'SUCCEEDED' %}Payée{% else %}Non payée{% endif %}</li>
                        <li>Type de paiement : {{ payment.ExecutionType }} {{ payment.Type }} {{ payment.PaymentType }}</li>
                        <li>Message de retour : <pre>{{ payment.ResultMessage }}</pre></li>
                        {% if payment.AuthorId != payment.CreditedUserId and payment.Type == 'PAYIN' and payment.PaymentType != 'PREAUTHORIZED' %}<li>Payée par l'utilisateur n°{{ payment.AuthorId }} avec la carte n°{{ payment.PaymentDetails.CardId }}</li>{% endif %}
                    </ul>
                </div>
                <div class="uk-card-footer">
                </div>
            </div>
        </div>

{% endblock %}
